ojph::local::vlc_struct Struct Reference

## Public Attributes

ui8 * | buf
ui32 | pos
ui32 | buf_size
int | used_bits
int | tmp
bool | last_greater_than_8F

## Member Data Documentation

## buf

ui8* ojph::local::vlc_struct::buf

Referenced by ojph::local::ojph_encode_codeblock(), ojph::local::terminate_mel_vlc(), ojph::local::vlc_encode(), and ojph::local::vlc_init().

## buf_size

ui32 ojph::local::vlc_struct::buf_size

Referenced by ojph::local::terminate_mel_vlc(), ojph::local::vlc_encode(), and ojph::local::vlc_init().

## last_greater_than_8F

bool ojph::local::vlc_struct::last_greater_than_8F

Referenced by ojph::local::vlc_encode(), and ojph::local::vlc_init().

## pos

ui32 ojph::local::vlc_struct::pos

Referenced by ojph::local::ojph_encode_codeblock(), ojph::local::terminate_mel_vlc(), ojph::local::vlc_encode(), and ojph::local::vlc_init().

## tmp

int ojph::local::vlc_struct::tmp

Referenced by ojph::local::terminate_mel_vlc(), ojph::local::vlc_encode(), and ojph::local::vlc_init().

## used_bits

int ojph::local::vlc_struct::used_bits

Referenced by ojph::local::terminate_mel_vlc(), ojph::local::vlc_encode(), and ojph::local::vlc_init().

The documentation for this struct was generated from the following file:

- ojph_block_encoder.cpp